v1.0.0
OpenAPI 3.1.0

List components

US region

Client Libraries

List components

​

Returns a paginated list of components and any folders in the result set.

Query Parameters
  • tag
    Type: string

    Filter by component tag name. This is the name of the tag inserted into your emails.

  • page
    Type: integer
    min:  
    1

    The page number of results you want to display. Use with limit.

  • limit
    Type: integer
    min:  
    1
    max:  
    10000

    The maximum number of results per page.

  • parent_folder_id
    Type: string Format: uuid

    Filter by parent folder. Must reference an existing folder. If not set, the response filters by the root level directory.

    To list only items in the root folder, leave parent_folder_id unset and only set direct_descendants_only to true.

  • direct_descendants_only
    Type: boolean

    When true, the response includes only the immediate children of the parent folder. When false, it includes the parent folder's entire subtree.

  • sort_by
    Type: string enum
    values
    • created
    • updated
    • name
  • sort_order
    Type: string enum
    values
    • asc
    • desc
  • created_before
    Type: integer Format: Unix timestamp

    Return records created before this time. Must be a unix timestamp.

  • created_after
    Type: integer Format: Unix timestamp

    Return records created after this time. Must be a unix timestamp.

  • updated_before
    Type: integer Format: Unix timestamp

    Return records updated before this time. Must be a unix timestamp.

  • updated_after
    Type: integer Format: Unix timestamp

    Return records updated after this time. Must be a unix timestamp.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/design_studio/components
curl https://api.customer.io/v1/design_studio/components \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "components": [
    {
      "created": 1773856017,
      "id": "e89b-12d3",
      "name": "Custom footer",
      "parent_folder_id": "123e4567-e89b-12d3-a456-426614174000",
      "tag": "custom-footer",
      "updated": 1773856019
    }
  ],
  "folders": [
    {
      "created": 1714732800,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Product Announcements",
      "parent_folder_id": null,
      "updated": 1714732800
    }
  ],
  "meta": {
    "filters": {
      "parent_folder_id": "123e4567-e89b-12d3-a456-426614174000",
      "direct_descendants_only": true,
      "sort_by": "created",
      "sort_order": "desc",
      "created_before": 1714732800,
      "created_after": null,
      "updated_before": null,
      "updated_after": null
    },
    "pagination": {
      "limit": 1,
      "page": 1,
      "total": 1
    }
  }
}